tigase.jaxmpp.core.client

## Interface SessionObject.ClearedHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    SessionObject

      public static interface SessionObject.ClearedHandler
      extends EventHandler

  Implemented by handlers of SessionObject.ClearedHandler.ClearedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SessionObject.ClearedHandler.ClearedEvent` Fired when properties from `SessionObject` are cleared.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCleared(SessionObject sessionObject, Set<SessionObject.Scope> scopes)` Called when `SessionObject.ClearedHandler.ClearedEvent` if fired.

- - ### Method Detail

    - #### onCleared

          void onCleared(SessionObject sessionObject,
                         Set<SessionObject.Scope> scopes)
                  throws JaxmppException

      Called when `SessionObject.ClearedHandler.ClearedEvent` if fired.
      Parameters:
        `sessionObject` - cleared session object.
        `scopes` - set cleared `scopes`.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.